Subject: Re: [bess] One question about Route-type2 usage in EVPN base protocol

From: "Rabadan, Jorge (Jorge)" <[email-masked]>
Date: Sat, 21 Nov 2015 00:01:17 +0000

Hi Weiguo,

I would recommend you to check out the L2VPN archives… we discussed this at length.
For instance:
http://www.ietf.org/mail-archive/web/l2vpn/current/msg04519.html

But check the other emails in the thread.
Sending one or two routes, really depend on how the learning is done.

Hope it helps.
Thanks.
Jorge

From: BESS <[email-masked]<mailto:[email-masked]>> on behalf of Haoweiguo <[email-masked]<mailto:[email-masked]>>
Date: Thursday, November 19, 2015 at 1:37 AM
To: "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>
Cc: "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>
Subject: [bess] One question about Route-type2 usage in EVPN base protocol

Hi Co-authors,
Through ARP process, each EVPN PE can learn local connecting CE’s MAC and IP correspondence, and will notify the MAC and IP association to all remote PEs through Route-type2 message. Theoretically, each remote PE can rely on the single route-type2 message to populate local Mac VRF(MAC table) , ARP Cache and IP VRF(IP routing table) at the same time. However, some vendor doesn’t do in this way. In its implementation, each PE will notify two route-type2 message to remote PEs, one message(say message 1) only carry MAC information(IP field is invalid), another message(say message 2) carry MAC and IP association information. The remote PEs rely on message 1 to populate local MAC VRF, and rely on message 2 to populate local ARP Cache and IP VRF.

I think EVPN protocol should give a clear suggestion for route type-2 message usage, what’s the scenario to announce only one message and what’s scenario to announce two messages?

Thanks,

weiguo

---

From: "Ali Sajassi (sajassi)" <[email-masked]>
Date: Mon, 23 Nov 2015 22:49:11 +0000

Hi Weiguo,

Section 10 of RFC 7432 covers this topic nicely. As Jorge alluded to, whether a PE only sends a single Route-Type-2 or two of them, depends on whether the MAC learning is done in control-plane/management-plane or it is done in data-plane. If it is the former, then only a single Route-Type-2 is sent and if it is the latter, then two are sent.

Cheers,
Ali

From: "Rabadan, Jorge (Jorge)" <[email-masked]<mailto:[email-masked]>>
Date: Saturday, November 21, 2015 at 9:01 AM
To: Haoweiguo <[email-masked]<mailto:[email-masked]>>, Cisco Employee <[email-masked]<mailto:[email-masked]>>
Cc: "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>
Subject: Re: [bess] One question about Route-type2 usage in EVPN base protocol

Hi Weiguo,

I would recommend you to check out the L2VPN archives... we discussed this at length.
For instance:
http://www.ietf.org/mail-archive/web/l2vpn/current/msg04519.html

Hope it helps.
Thanks.
Jorge

Hi Co-authors,
Through ARP process, each EVPN PE can learn local connecting CE's MAC and IP correspondence, and will notify the MAC and IP association to all remote PEs through Route-type2 message. Theoretically, each remote PE can rely on the single route-type2 message to populate local Mac VRF(MAC table) , ARP Cache and IP VRF(IP routing table) at the same time. However, some vendor doesn't do in this way. In its implementation, each PE will notify two route-type2 message to remote PEs, one message(say message 1) only carry MAC information(IP field is invalid), another message(say message 2) carry MAC and IP association information. The remote PEs rely on message 1 to populate local MAC VRF, and rely on message 2 to populate local ARP Cache and IP VRF.

I think EVPN protocol should give a clear suggestion for route type-2 message usage, what's the scenario to announce only one message and what's scenario to announce two messages?

Thanks,

weiguo

---

From: Haoweiguo <[email-masked]>
Date: Wed, 25 Nov 2015 12:47:49 +0000

Hi Ali,
Thanks for your explanation. Yes, it’s clear for route-type2 message usage. For data plane MAC learning, CE’s MAC will be announced through two messages w/o IP address respectively.
 I also have another similar question for IP address announcement here. When each EVPN PE acts as distributed layer 3 gateway, the PE will learn ARP tables for local connecting CEs. Each PE will synchronize these ARP tables through route-type2 message to other remote PEs for ARP Proxy. For inter-subnet traffic forwarding, the remote PEs can populate the IP addresses included in the route-type2 message to local IP routing table. But in some vendor’s implementation, each PE will also announce local CE’s IP address to other remote PEs through route-type5 message.
Question: Should only route-type2 message or both route-type2 and route-type5 messages be announced for local connecting CE’s IP address on each EVPN PE in distributed layer 3 gateway scenario? Should it be further clarified in related drafts? Your clarifications are appreciated.

Thanks,

weiguo

________________________________
From: Ali Sajassi (sajassi) [[email-masked]]
Sent: Tuesday, November 24, 2015 6:49
To: Rabadan, Jorge (Jorge); Haoweiguo
Cc: [email-masked]
Subject: Re: [bess] One question about Route-type2 usage in EVPN base protocol

Hi Weiguo,

Cheers,
Ali

Hi Weiguo,

Hope it helps.
Thanks.
Jorge

Hi Co-authors,

Thanks,

weiguo